After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

This forum contains topics that were moved from Get Satisfaction
Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Jeffry Reed »

Confirmed, I am experiencing the same problem and get the same error.

Obviously, this is not good!

Oldestman57
Posts: 0
Joined: Thu Mar 31, 2016 9:15 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Oldestman57 »

I upgraded my existing app to library v4.0 and successfully built an .ipa file and loaded it to my phone via QR code. 01/30/17 8:25am cst.

Serhii Kulibaba
Posts: 147
Joined: Tue Aug 27, 2013 1:47 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Serhii Kulibaba »

Hello,

Please clarify, do you use any Cordova plugin in your project?

Please share (https://docs.appery.io/docs/teams-sha...) your apps with a href="mailto:support@appery.io" rel="nofollow"support@appery.io/a and provide us itheir names - we will check these applications.

Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Jeffry Reed »

Hello Sergiy,

I dont believe I am using any Cordova plugins beyond the default.

I shared my app and sent email to support. Thank you

Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Jeffry Reed »

I manually updated the cordova plugins to use newest and error is now

Build error

Most likely build error cause:

Failed to install 'phonegap-plugin-push':Error: Variable(s) missing: SENDER_ID
at /usr/local/lib/node_modules/plugman/node_modules/cordova-lib/src/plugman/install.js:324:23
at _fulfilled (/usr/local/lib/node_modules/plugman/node_modules/q/q.js:787:54)
at self.promiseDispatch.done (/usr/local/lib/node_modules/plugman/node_modules/q/q.js:816:30)
at Promise.promise.promiseDispatch (/usr/local/lib/node_modules/plugman/node_modules/q/q.js:749:13)
at /usr/local/lib/node_modules/plugman/node_modules/q/q.js:557:44
at flush (/usr/local/lib/node_modules/plugman/node_modules/q/q.js:108:17)
at combinedTickCallback (internal/process/next_tick.js:67:7)
at process.
tickCallback (internal/process/next_tick.js:98:9)

stderr: Variable(s) missing: SENDER_ID

Galyna Abramovych
Site Admin
Posts: 68
Joined: Tue Mar 22, 2016 6:03 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Galyna Abramovych »

Jeffry,

We have checked this issue and can see that one of your latest builds was successful.
Please find more information in email.

Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Jeffry Reed »

Hi Galyna,

thanks for looking into this and sorry for not responded sooner, i got pulled to another project.

So yes, I did get it to build, here are my findings

After updating to v4.0, i updated all the Core Cordova plugins to the latest versions. With PushPlugin 1.8.4 the build fails with the error posted above.

With PushPlugin 1.4.5 the build completes successfully

Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Jeffry Reed »

Oldestman57, are you using PushPlugin 1.8.4?

Chris6743166
Posts: 1
Joined: Tue Mar 18, 2014 11:50 am

After latest update of appery on Jan 29th 2017, unable to generate the ipa build. We tried undo the source code, still t

Post by Chris6743166 »

I have the same issue. All cordova plugins were upgraded following move to Library 4.0 and got an iOS build error. Had to downgrade to PushPlugin 1.4.5 for a successful build.

Post Reply